/*
 * Created by WebId Solutions GmbH | www.webid-solutions.de.
 * See the file "LICENSE" for the full license governing this code.
 */
package de.webidsolutions.metaplugindemo.tasks;

/**
 * A simple structure for transporting the response of the AsyncTask
 */
public class AsyncTaskResult<T> {
    private final T result;
    private final String apiResult;

    public T getResult() {
        return result;
    }

    public String getApiResult() {
        return apiResult;
    }

    public AsyncTaskResult(T result, String apiResult) {

        this.result = result;
        this.apiResult = apiResult;
    }
}
